| GET | /RestApi/translations/projects |
|---|
import java.math.*
import java.util.*
import java.io.InputStream
import net.servicestack.client.*
import com.google.gson.annotations.*
import com.google.gson.reflect.*
open class GetProjects : IProjectsFilter
{
open var Skip:Int? = null
open var Take:Int? = null
open var OrderExpression:String? = null
override var SearchText:String? = null
override var Service:ArrayList<String>? = null
override var ProjectStatus:ProjectStatus? = null
override var ActualSourceLanguage:String? = null
override var WithoutSourceLanguage:Boolean? = null
}
enum class ProjectStatus
{
NotStarted,
Started,
Completed,
}
To override the Content-type in your clients, use the HTTP Accept Header, append the .other suffix or ?format=other
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /RestApi/translations/projects HTTP/1.1 Host: www.imglobal.com Accept: text/jsonl
HTTP/1.1 200 OK
Content-Type: text/jsonl
Content-Length: length
{Unable to show example output for type 'IList`1' using the custom 'other' filter}Cannot create an instance of an interface.